Package org.jboss.resteasy.plugins.interceptors

## Class RoleBasedSecurityFilter

- java.lang.Object
- - org.jboss.resteasy.plugins.interceptors.RoleBasedSecurityFilter

- All Implemented Interfaces:
    `javax.ws.rs.container.ContainerRequestFilter`

      @Priority(2000)
      public class RoleBasedSecurityFilter
      extends Object
      implements javax.ws.rs.container.ContainerRequestFilter

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `denyAll` |
    `protected boolean` | `permitAll` |
    `protected String[]` | `rolesAllowed` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RoleBasedSecurityFilter​(String[] rolesAllowed, boolean denyAll, boolean permitAll)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `filter​(javax.ws.rs.container.ContainerRequestContext requestContext)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rolesAllowed

          protected String[] rolesAllowed

    - #### denyAll

          protected boolean denyAll

    - #### permitAll

          protected boolean permitAll

  - ### Constructor Detail

    - #### RoleBasedSecurityFilter

          public RoleBasedSecurityFilter​(String[] rolesAllowed,
                                         boolean denyAll,
                                         boolean permitAll)

  - ### Method Detail

    - #### filter

          public void filter​(javax.ws.rs.container.ContainerRequestContext requestContext)
                      throws IOException

      Specified by:
        `filter` in interface `javax.ws.rs.container.ContainerRequestFilter`
      Throws:
        `IOException`